%define ver_major 5.2
%define oldname gimp-print

Name: gutenprint
Version: %ver_major.6
Release: alt2
Serial: 1
Summary: GIMP-Print plugin for high-quality image printing
Group: Publishing
License: GPL
Requires: lib%name = %version-%release ghostscript
Url: http://gimp-print.sourceforge.net/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Provides: %oldname = %version
Obsoletes: %oldname

Source: http://gimp-print.sourceforge.net/%name-%version.tar.bz2

Patch1: gutenprint-5.1.6-alt-link.patch
Patch2: gutenprint-5.1.7-alt-O6.patch
Patch3: gutenprint-5.1.6-alt-autoreconf.patch

# Automatically added by buildreq on Sat Jan 05 2008
BuildRequires: flex foomatic-db-engine libcups-devel libgimp-devel libgnutls-devel libijs-devel libjpeg-devel
BuildRequires: libltdl-devel libncurses-devel libreadline-devel libssl-devel libtiff-devel intltool

%description
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

This package contains common files for %name.

%package -n lib%name
Summary: Shared library for high-quality image printing
Group: Publishing
Provides: lib%oldname = %version
Obsoletes: lib%oldname

%description -n lib%name
This is a high-quality printing library used by the GIMP-Print plugin,
the "stp" color/photo inkjet/laser driver in GhostScript, and by
specialized CUPS drivers.

%package -n lib%name-devel
Summary: Headers and links for compiling against libgimpprint
Group: Development/C
Requires: lib%name = %version-%release
Provides: lib%oldname-devel = %version
Obsoletes: lib%oldname-devel

%description -n lib%name-devel
These are the links and header files to compile applications which should
use the libgimpprint library.

%package -n gimp-plugin-%name
Summary: GIMP-Print plugin for high-quality image printing
Group: Publishing
Requires: %name = %version-%release gimp
Provides: %oldname-plugin = %version
Obsoletes: %oldname-plugin

%description -n gimp-plugin-%name
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

%package foomatic
Summary: foomatic stuff for %name
Group: Publishing
Requires: %name = %version-%release
Provides: %oldname-foomatic = %version
Obsoletes: %oldname-foomatic
PreReq: foomatic-db >= 3.0.1
#BuildArch: noarch

%description foomatic
Drivers for foomatic

%package CUPS
Summary: CUPS's PPDs for %name
Group: Publishing
Requires: %name = %version-%release
Provides: %oldname-CUPS = %version
Obsoletes: %oldname-CUPS

%description CUPS
Drivers for CUPS

%prep
%setup -q -n %name-%version

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export AUTOPOINT=true
%autoreconf
%configure \
	--enable-shared \
	--disable-rpath \
	--with-cups \
	--with-foomatic \
	--with-foomatic3 \
	--with-gimp2 \
	--with-gimp2-as-gutenprint \
	--enable-libgutenprintui2 \
	--enable-cups-ppds \
	--disable-translated-cups-ppds \
	--enable-cups-level3-ppds \
	--enable-cups-ppds-at-top-level

%make

%install
%make DESTDIR=%buildroot install

find %buildroot%_libdir/%name -name \*.la -delete

%find_lang %name

%triggerpostun CUPS -- %name-CUPS < %version
cups=%_initdir/cups
if [ -x $cups ] && %_sbindir/cups-genppdupdate | fgrep -qs Restart; then
	$cups condreload
fi

%files -f %name.lang
%doc ABOUT-NLS AUTHORS NEWS doc/gutenprint-users-manual.pdf doc/FAQ.html
%_bindir/ijs*
%_bindir/escputil
%_bindir/testpattern
%dir %_prefix/lib/cups
%_prefix/lib/cups/filter
%dir %_datadir/%name
%_datadir/%name/%ver_major
%_datadir/%name/samples
%_man1dir/*.1*

%files -n lib%name
%_libdir/*.so.*
%_libdir/%name

%files -n lib%name-devel
%doc doc/developer/reference-html doc/developer/gutenprint.pdf
%_includedir/%name
%_includedir/%{name}ui2
%_libdir/*.so
%_pkgconfigdir/*.pc

%files -n gimp-plugin-%name
%_libdir/gimp/2.0/plug-ins/%name

%files foomatic
%_datadir/foomatic/db/source/*/*.xml

%files CUPS
%_sysconfdir/cups/*
%_bindir/cups-*
%_sbindir/cups-*
%dir %_prefix/lib/cups
%_prefix/lib/cups/driver
%_datadir/cups/model/C
%_datadir/cups/calibrate.ppm
%_man8dir/*.8*

%changelog
* Tue Nov 23 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.6-alt2
- rebuild

* Sun Aug 22 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.6-alt1
- 5.2.6

* Mon Feb 15 2010 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.5-alt1
- 5.2.5

* Thu Sep 17 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.4-alt2
- added trigger for update PPD (closes: #20952)

* Fri Jul 31 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.4-alt1
- 5.2.4

* Mon May 25 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.3-alt2
- fixed headers install

* Tue Dec 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.3-alt1
- 5.2.3

* Thu Nov 20 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.2-alt1
- 5.2.2

* Tue Oct 28 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.1-alt1.M41.1
- build for branch 4.1

* Tue Oct 28 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.1-alt2
- added russian translation (Alexandre Prokoudine)

* Wed Oct 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.1-alt1
- 5.2.1

* Tue Oct 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.0-alt0.M41.1.rc1
- build for branch 4.1

* Mon Oct 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.2.0-alt1.rc1
- 5.2.0 RC1

* Fri Mar 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.1.7-alt1
- 5.1.7

* Fri Feb 29 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.1.6-alt2
- relocation all filters to gutenprint subpackage (close #14690)

* Sat Jan 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:5.1.6-alt1
- 5.1.6

* Sat Dec 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:5.1.4-alt1
- 5.1.4

* Thu Nov 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:5.0.1-alt3.M40.1
- build for branch 4.0

* Thu Nov 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:5.0.1-alt4
- put "A4" at the beginning to get it as default size

* Tue Oct 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:5.0.1-alt3
- drop update-printers-db in %%post from %name-CUPS and %name-foomatic

* Sat Sep 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:5.0.1-alt2
- not install gutenprintui.pc (close #12969)

* Sat Jun 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:5.0.1-alt1
- 5.0.1 stable release

* Fri Jun 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 5.1.3-alt1
- 5.1.3

* Sun Jun 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 5.1.2-alt1
- 5.1.2
- fixed prereq for %name-{foomatic,CUPS}

* Wed May 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 5.1.1-alt3
- fixed provides/obsoletes

* Wed May 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 5.1.1-alt2
- added requires lib%name-%%version-%%release for %name
- spec cleanup

* Mon May 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 5.1.1-alt1
- 5.1.1
- disable static

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 4.2.7-alt4.0
- Automated rebuild.

* Fri May 26 2006 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt4
- rebuild with cups-1.2

* Fri Mar 24 2006 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt3
- rebuild with new ijs

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 4.2.7-alt2.1.1
- Rebuilt with libreadline.so.5.

* Wed Jun 29 2005 Anton D. Kachalov <mouse@altlinux.org> 4.2.7-alt2.1
- multilib hack

* Fri Jan 28 2005 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt2
- added update-printers-db in post script

* Wed Sep 22 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt1
- 4.2.7

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 4.2.6-alt2.1.1.1
- Rebuilt with libtiff.so.4.

* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 4.2.6-alt2.1.1
- Rebuilt with openssl-0.9.7d.

* Fri May 07 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt2.1
- rebuild without plugin for old gimp

* Fri Apr 02 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt2
- added russian translation by Valia V. Vaneeva

* Wed Feb 11 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt1
- final

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt0.2
- gimp-print-foomatic requires latest foomatic (>=3.0.1) (was changes id's in xml files)

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt0.1
- 4.2.6-pre2

* Tue Sep 30 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.5-alt3
- fix building in hasher

* Mon Mar 31 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.5-alt2
- Apply patch for foomatic database (from MDK)

* Thu Feb 27 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.5-alt1
- 4.2.5

* Thu Jan 09 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.4-alt1
- update to latest stable

* Mon Oct 28 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.2-alt1
- 4.2.2
- port to subst from 'perl -pi'

* Wed Jun 26 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.1-alt3
- Enable IJS driver

* Tue Jun 18 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.1-alt2
- resurrected foomatic files

* Tue Apr 02 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt7
- Added two patches from MDK (to use drivers for more printers and 
  support for small papers on Epson Stylus Pro printers)

* Wed Feb 20 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt6
- Buildreq updated

* Tue Feb 19 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt5
- added patch.

* Wed Feb 13 2002 AEN <aen@logic.ru> 4.2.0-alt4
- rebuilt with new gimp

* Mon Dec 17 2001 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt3
- added requires to gimp-print-foomatic

* Mon Dec 10 2001 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt2
- added buildreqs, fix docs

* Thu Nov 15 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt6
- rc1

* Tue Sep 25 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt5
- b2

* Thu Sep 06 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt4
- new snapshot.

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt3
- Splited again: common files (filters,docs); CUPS only drivers, foomatic only drivers.

* Fri Aug 10 2001 AEN <aen@logic.ru> 4.1.99-alt2
- added plugin package
- a2

* Mon Aug 06 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt1
- Initial release for ALT Linux.
- Now we are splitting cups-drivers into separate packages.
